Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516734 - After appearing first flash message on login page second message doesn't disappear
Summary: After appearing first flash message on login page second message doesn't disa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks: 1524705
TreeView+ depends on / blocked
 
Reported: 2017-11-23 10:40 UTC by Niyaz Akhtar Ansari
Modified: 2018-06-21 20:22 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1524705 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:22:16 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
screenshot (deleted)
2017-11-23 10:40 UTC, Niyaz Akhtar Ansari
no flags Details

Description Niyaz Akhtar Ansari 2017-11-23 10:40:50 UTC
Created attachment 1358131 [details]
screenshot

Description of problem:


Version-Release number of selected component (if applicable):
Version: 5.9.0.9.20171115202245_7429f75

How reproducible:
100%

Steps to Reproduce:
1.When session expire Enter invalid username/password and click on login button


Actual results:
first flash message doesn't disappear on login page

Expected results:
"Session was timed out due to inactivity. Please log in again." flash message should be disappear when second flash appear. 

Additional info:

Comment 3 CFME Bot 2017-12-08 10:13:39 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/661b95b02fe16b59c2806d4bf9aba654c698e40c

commit 661b95b02fe16b59c2806d4bf9aba654c698e40c
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Dec 5 14:56:24 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Dec 5 15:04:12 2017 +0100

    Clear the flash_msg_div before displaying new flashes during login
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1516734

 app/assets/javascripts/miq_application.js |  1 +
 app/assets/javascripts/miq_flash.js       |  4 ++++
 spec/javascripts/miq_flash_spec.js        | 13 +++++++++++++
 3 files changed, 18 insertions(+)
 create mode 100644 spec/javascripts/miq_flash_spec.js


Note You need to log in before you can comment on or make changes to this bug.